CBC_CTS_Mode< CIPHER > Struct Template Reference

CBC-CTS block cipher mode of operation. More...

`#include <modes.h>`

Inheritance diagram for CBC_CTS_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Encryption, CBC_CTS_Encryption > | Encryption
typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Decryption, CBC_CTS_Decryption > | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

template<class CIPHER>
struct CBC_CTS_Mode< CIPHER >

CBC-CTS block cipher mode of operation.

See also
  Modes of Operation on the Crypto++ wiki.

Since
  Crypto++ 3.0

Definition at line 579 of file modes.h.

## Member Typedef Documentation

## Encryption

template<class CIPHER >

typedef CipherModeFinalTemplate_CipherHolder<typename CIPHER::Encryption, CBC_CTS_Encryption> CBC_CTS_Mode< CIPHER >::Encryption

Definition at line 581 of file modes.h.

## Decryption

template<class CIPHER >

typedef CipherModeFinalTemplate_CipherHolder<typename CIPHER::Decryption, CBC_CTS_Decryption> CBC_CTS_Mode< CIPHER >::Decryption

Definition at line 582 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h